use Brainboxes::AsciiIo;

use strict;
use warnings;

my $remote = Brainboxes::AsciiIo->new({ipaddr => '192.168.0.95', port => 9500, timeout => 5});

for my $command ('$01M', '~**', '@01', '@02', '$016') {
    # send the above commands in sequence
    # the '@02' command will probably get no response, unless you have a slave device connected to the gateway port

    print "Sending command '$command'\n"; binmode STDOUT;
    
    if (substr($command, 1, 2) eq '**') {
        # this command is not one which we expect to get a response to
        $remote->command_noresponse($command);
        print "  No response expected\n";
        binmode STDOUT;
    }
    else {
        # this command is one which we SHOULD get a response to
        my $rxdata = $remote->command_response($command);
        
        if (defined $rxdata) {
            print "  Response was '$rxdata'\n";
        }
        else {
            print "  No response received!\n";
        }
        binmode STDOUT;
    }
}
